{named_events4.i}

/*
SUBSCRIBE [ PROCEDURE subscriber-handle ] [ TO ] event-name
{ IN publisher-handle | ANYWHERE }
[ RUN-PROCEDURE local-internal-procedure ] [ NO-ERROR ]
*/

h = ?.
subscribe procedure h to "ev1" anywhere no-error.
checkError(1, yes, 1, "Could not evaluate subscriber handle  expression while trying to execute SUBSCRIBE statement. (6463)", 6463).

h = session.
subscribe procedure h to "ev1" anywhere no-error.
checkError(2, yes, 1, "Invalid or inappropriate subscriber handle value given to SUBSCRIBE statement. (6466)", 6466).

run named_events4empty.p persistent set h.
delete object h.
subscribe procedure h to "ev1" anywhere no-error.
checkError(3, yes, 1, "Invalid or inappropriate subscriber handle value given to SUBSCRIBE statement. (6466)", 6466).

h = ?.
subscribe to "ev1" in h no-error.
checkError(4, yes, 1, "Could not evaluate publisher handle  expression while trying to execute SUBSCRIBE statement. (6464)", 6464).

h = session.
subscribe to "ev1" in h no-error.
checkError(5, yes, 1, "Invalid or inappropriate publisher handle value given to SUBSCRIBE statement. (6467)", 6467).

run named_events4empty.p persistent set h.
delete object h.
subscribe to "ev1" in h no-error.
checkError(6, yes, 1, "Invalid or inappropriate publisher handle value given to SUBSCRIBE statement. (6467)", 6467).

run named_events4empty.p persistent set h.
subscribe procedure h to "ev1" in h no-error.
checkError(7, no, 0, "", 0).
