{named_events4.i}

/*
SUBSCRIBE [ PROCEDURE subscriber-handle ] [ TO ] event-name
{ IN publisher-handle | ANYWHERE }
[ RUN-PROCEDURE local-internal-procedure ] [ NO-ERROR ]

UNSUBSCRIBE [ PROCEDURE subscriber-handle ]
[ TO ] { event-name | ALL } [ IN publisher-handle ]
*/

h = ?.
unsubscribe procedure h to "ev1".
checkError(1, yes, 1, "Could not evaluate subscriber handle  expression while trying to execute UNSUBSCRIBE statement. (6475)", 6475).

h = session.
unsubscribe procedure h to "ev1".
checkError(2, yes, 1, "Invalid or inappropriate subscriber handle value given to UNSUBSCRIBE statement. (6477)", 6477).

run named_events4empty.p persistent set h.
delete object h.
unsubscribe procedure h to "ev1".
checkError(3, yes, 1, "Invalid or inappropriate subscriber handle value given to UNSUBSCRIBE statement. (6477)", 6477).

h = ?.
unsubscribe to "ev1" in h.
checkError(4, yes, 1, "Could not evaluate publisher handle  expression while trying to execute UNSUBSCRIBE statement. (6476)", 6476).

h = session.
unsubscribe to "ev1" in h.
checkError(5, yes, 1, "Invalid or inappropriate publisher handle value given to UNSUBSCRIBE statement. (6478)", 6478).

run named_events4empty.p persistent set h.
delete object h.
unsubscribe to "ev1" in h.
checkError(6, yes, 1, "Invalid or inappropriate publisher handle value given to UNSUBSCRIBE statement. (6478)", 6478).

run named_events4empty.p persistent set h.
unsubscribe procedure h to "ev1" in h.
checkError(7, yes, 1, "UNSUBSCRIBE failed.  No subscriptions for ev1. (6479)", 6479).

subscribe procedure h to "ev1" in h.
unsubscribe procedure h to "ev1" in h.
checkError(8, no, 0, "", 0).

unsubscribe procedure h to all in h.
checkError(9, no, 0, "", 0).
