/*
SUBSCRIBE [ PROCEDURE subscriber-handle ] [ TO ] event-name
{ IN publisher-handle | ANYWHERE }
[ RUN-PROCEDURE local-internal-procedure ] [ NO-ERROR ]
*/

def var h1 as handle.
def var h2 as handle.
def var ch as char.

subscribe to "e1" anywhere.
subscribe to ch anywhere.
subscribe to "e1" in h2.
subscribe to ch in h2.
subscribe to "e1" in this-procedure.
subscribe to ch in this-procedure.
subscribe to "e1" in source-procedure.
subscribe to ch in source-procedure.
subscribe to "e1" in target-procedure.
subscribe to ch in target-procedure.

subscribe procedure h1 to "e1" anywhere.
subscribe procedure h1 to ch anywhere.
subscribe procedure this-procedure to "e1" anywhere.
subscribe procedure this-procedure to ch anywhere.
subscribe procedure source-procedure to "e1" anywhere.
subscribe procedure source-procedure to ch anywhere.
subscribe procedure target-procedure to "e1" anywhere.
subscribe procedure target-procedure to ch anywhere.

subscribe procedure h1 to "e1" in h2.
subscribe procedure h1 to ch in h2.
subscribe procedure this-procedure to "e1" in h2.
subscribe procedure this-procedure to ch in h2.
subscribe procedure source-procedure to "e1" in h2.
subscribe procedure source-procedure to ch in h2.
subscribe procedure target-procedure to "e1" in h2.
subscribe procedure target-procedure to ch in h2.

subscribe procedure h1 to "e1" in this-procedure.
subscribe procedure h1 to ch in this-procedure.
subscribe procedure this-procedure to "e1" in this-procedure.
subscribe procedure this-procedure to ch in this-procedure.
subscribe procedure source-procedure to "e1" in this-procedure.
subscribe procedure source-procedure to ch in this-procedure.
subscribe procedure target-procedure to "e1" in this-procedure.
subscribe procedure target-procedure to ch in this-procedure.

subscribe procedure h1 to "e1" in source-procedure.
subscribe procedure h1 to ch in source-procedure.
subscribe procedure this-procedure to "e1" in source-procedure.
subscribe procedure this-procedure to ch in source-procedure.
subscribe procedure source-procedure to "e1" in source-procedure.
subscribe procedure source-procedure to ch in source-procedure.
subscribe procedure target-procedure to "e1" in source-procedure.
subscribe procedure target-procedure to ch in source-procedure.

subscribe procedure h1 to "e1" in target-procedure.
subscribe procedure h1 to ch in target-procedure.
subscribe procedure this-procedure to "e1" in target-procedure.
subscribe procedure this-procedure to ch in target-procedure.
subscribe procedure source-procedure to "e1" in target-procedure.
subscribe procedure source-procedure to ch in target-procedure.
subscribe procedure target-procedure to "e1" in target-procedure.
subscribe procedure target-procedure to ch in target-procedure.

subscribe to "e1" anywhere run-procedure "proc0".
subscribe to ch anywhere run-procedure "proc0".
subscribe to "e1" in h2 run-procedure "proc0".
subscribe to ch in h2 run-procedure "proc0".
subscribe to "e1" in this-procedure run-procedure "proc0".
subscribe to ch in this-procedure run-procedure "proc0".
subscribe to "e1" in source-procedure run-procedure "proc0".
subscribe to ch in source-procedure run-procedure "proc0".
subscribe to "e1" in target-procedure run-procedure "proc0".
subscribe to ch in target-procedure run-procedure "proc0".

subscribe procedure h1 to "e1" anywhere run-procedure "proc0".
subscribe procedure h1 to ch anywhere run-procedure "proc0".
subscribe procedure this-procedure to "e1" anywhere run-procedure "proc0".
subscribe procedure this-procedure to ch anywhere run-procedure "proc0".
subscribe procedure source-procedure to "e1" anywhere run-procedure "proc0".
subscribe procedure source-procedure to ch anywhere run-procedure "proc0".
subscribe procedure target-procedure to "e1" anywhere run-procedure "proc0".
subscribe procedure target-procedure to ch anywhere run-procedure "proc0".

subscribe procedure h1 to "e1" in h2 run-procedure "proc0".
subscribe procedure h1 to ch in h2 run-procedure "proc0".
subscribe procedure this-procedure to "e1" in h2 run-procedure "proc0".
subscribe procedure this-procedure to ch in h2 run-procedure "proc0".
subscribe procedure source-procedure to "e1" in h2 run-procedure "proc0".
subscribe procedure source-procedure to ch in h2 run-procedure "proc0".
subscribe procedure target-procedure to "e1" in h2 run-procedure "proc0".
subscribe procedure target-procedure to ch in h2 run-procedure "proc0".

subscribe procedure h1 to "e1" in this-procedure run-procedure "proc0".
subscribe procedure h1 to ch in this-procedure run-procedure "proc0".
subscribe procedure this-procedure to "e1" in this-procedure run-procedure "proc0".
subscribe procedure this-procedure to ch in this-procedure run-procedure "proc0".
subscribe procedure source-procedure to "e1" in this-procedure run-procedure "proc0".
subscribe procedure source-procedure to ch in this-procedure run-procedure "proc0".
subscribe procedure target-procedure to "e1" in this-procedure run-procedure "proc0".
subscribe procedure target-procedure to ch in this-procedure run-procedure "proc0".

subscribe procedure h1 to "e1" in source-procedure run-procedure "proc0".
subscribe procedure h1 to ch in source-procedure run-procedure "proc0".
subscribe procedure this-procedure to "e1" in source-procedure run-procedure "proc0".
subscribe procedure this-procedure to ch in source-procedure run-procedure "proc0".
subscribe procedure source-procedure to "e1" in source-procedure run-procedure "proc0".
subscribe procedure source-procedure to ch in source-procedure run-procedure "proc0".
subscribe procedure target-procedure to "e1" in source-procedure run-procedure "proc0".
subscribe procedure target-procedure to ch in source-procedure run-procedure "proc0".

subscribe procedure h1 to "e1" in target-procedure run-procedure "proc0".
subscribe procedure h1 to ch in target-procedure run-procedure "proc0".
subscribe procedure this-procedure to "e1" in target-procedure run-procedure "proc0".
subscribe procedure this-procedure to ch in target-procedure run-procedure "proc0".
subscribe procedure source-procedure to "e1" in target-procedure run-procedure "proc0".
subscribe procedure source-procedure to ch in target-procedure run-procedure "proc0".
subscribe procedure target-procedure to "e1" in target-procedure run-procedure "proc0".
subscribe procedure target-procedure to ch in target-procedure run-procedure "proc0".






subscribe to "e1" anywhere run-procedure ch.
subscribe to ch anywhere run-procedure ch.
subscribe to "e1" in h2 run-procedure ch.
subscribe to ch in h2 run-procedure ch.
subscribe to "e1" in this-procedure run-procedure ch.
subscribe to ch in this-procedure run-procedure ch.
subscribe to "e1" in source-procedure run-procedure ch.
subscribe to ch in source-procedure run-procedure ch.
subscribe to "e1" in target-procedure run-procedure ch.
subscribe to ch in target-procedure run-procedure ch.

subscribe procedure h1 to "e1" anywhere run-procedure ch.
subscribe procedure h1 to ch anywhere run-procedure ch.
subscribe procedure this-procedure to "e1" anywhere run-procedure ch.
subscribe procedure this-procedure to ch anywhere run-procedure ch.
subscribe procedure source-procedure to "e1" anywhere run-procedure ch.
subscribe procedure source-procedure to ch anywhere run-procedure ch.
subscribe procedure target-procedure to "e1" anywhere run-procedure ch.
subscribe procedure target-procedure to ch anywhere run-procedure ch.

subscribe procedure h1 to "e1" in h2 run-procedure ch.
subscribe procedure h1 to ch in h2 run-procedure ch.
subscribe procedure this-procedure to "e1" in h2 run-procedure ch.
subscribe procedure this-procedure to ch in h2 run-procedure ch.
subscribe procedure source-procedure to "e1" in h2 run-procedure ch.
subscribe procedure source-procedure to ch in h2 run-procedure ch.
subscribe procedure target-procedure to "e1" in h2 run-procedure ch.
subscribe procedure target-procedure to ch in h2 run-procedure ch.

subscribe procedure h1 to "e1" in this-procedure run-procedure ch.
subscribe procedure h1 to ch in this-procedure run-procedure ch.
subscribe procedure this-procedure to "e1" in this-procedure run-procedure ch.
subscribe procedure this-procedure to ch in this-procedure run-procedure ch.
subscribe procedure source-procedure to "e1" in this-procedure run-procedure ch.
subscribe procedure source-procedure to ch in this-procedure run-procedure ch.
subscribe procedure target-procedure to "e1" in this-procedure run-procedure ch.
subscribe procedure target-procedure to ch in this-procedure run-procedure ch.

subscribe procedure h1 to "e1" in source-procedure run-procedure ch.
subscribe procedure h1 to ch in source-procedure run-procedure ch.
subscribe procedure this-procedure to "e1" in source-procedure run-procedure ch.
subscribe procedure this-procedure to ch in source-procedure run-procedure ch.
subscribe procedure source-procedure to "e1" in source-procedure run-procedure ch.
subscribe procedure source-procedure to ch in source-procedure run-procedure ch.
subscribe procedure target-procedure to "e1" in source-procedure run-procedure ch.
subscribe procedure target-procedure to ch in source-procedure run-procedure ch.

subscribe procedure h1 to "e1" in target-procedure run-procedure ch.
subscribe procedure h1 to ch in target-procedure run-procedure ch.
subscribe procedure this-procedure to "e1" in target-procedure run-procedure ch.
subscribe procedure this-procedure to ch in target-procedure run-procedure ch.
subscribe procedure source-procedure to "e1" in target-procedure run-procedure ch.
subscribe procedure source-procedure to ch in target-procedure run-procedure ch.
subscribe procedure target-procedure to "e1" in target-procedure run-procedure ch.
subscribe procedure target-procedure to ch in target-procedure run-procedure ch.